LINUX.ORG.RU
решено ФорумAdmin

Не устанавливается defoma, не видит уже установленный perl

 , ,


0

1

Подскажите, пожалуйста, дальнейшие действия. Perl ручками ставили админы, при указании

dpkg --remove perl
показывает кучу зависимостей, мне не хочется накосячить с удалением и переустановкой из репозитория.
root@transition ~ # apt-get install defoma
Чтение списков пакетов... Готово
Построение дерева зависимостей
Чтение информации о состоянии... Готово
Некоторые пакеты невозможно установить. Возможно, вы просите невозможного,
Пакеты, имеющие неудовлетворённые зависимости:
 defoma : Зависит: perl но он не будет установлен
          Рекомендует: libfont-freetype-perl но он не будет установлен
E: Сломанные пакеты
root@transition ~ # apt-cache policy perl
perl:
  Установлен: 5.14.2-15
  Кандидат:   5.14.2-15
  Таблица версий:
 *** 5.14.2-15 0
        100 /var/lib/dpkg/status
     5.10.1-17squeeze6 0
        500 http://http.us.debian.org/debian/ squeeze/main amd64 Packages
root@transition ~ #

А в более живых версиях дебиана дефому уже выпилили.

Deleted ()

Попробуйте через aptitude, он сообщит, какие именно конфликты мешают поставить пакет, и предложит несколько решений (не факт, что первое подойдёт).

AITap ★★★★★ ()

если перл точно работает, то качай отдельно пакет дефома и ставь через dpkg

anonymous ()
Ответ на: комментарий от Zubok

для визуализации xhprof нужен graphviz, он без defoma не работает для squeeze.

terrakot ()
Ответ на: комментарий от AITap

Не вижу, как отметить, что ваш ответ - решение, но помогло, спасибо. Аptitude корректно удалил 5.14 и поставил 5.10 во время установки defoma. Apt-get выкатил же 100500 удаляемых зависимых пакетов, которые были нужно в работе.

terrakot ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.